Bug 406291 - 3.19: Filter flags by status in request.cgi.
3.19: Filter flags by status in request.cgi.
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
2 hours
:
Depends On:
Blocks: RHBZ30UpgradeTracker 427057
  Show dependency treegraph
 
Reported: 2007-11-30 11:58 EST by David Lawrence
Modified: 2013-06-24 00:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 23:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to filter flags by status in request.cgi (v1) (1004 bytes, patch)
2008-03-24 15:20 EDT, David Lawrence
nelhawar: review+
Details | Diff

  None (edit)
Description David Lawrence 2007-11-30 11:58:32 EST
Description:
request.cgi can now filter bug lists by flag status. Originally it would only show bug flags in the requested (?) status.

Function Requirements:
request.cgi
Comment 1 David Lawrence 2007-12-20 00:39:12 EST
LOC Estimation:

templates/en/default/request/queue.html.tmpl: 9
time to write selenium tests needed for request.cgi: 2 hours

Total LOC: 9
Comment 2 Kevin Baker 2007-12-29 13:52:04 EST
Dave, is this a security enhancement?
Comment 3 David Lawrence 2007-12-30 00:34:17 EST
No. It simply re enables the originally disabled method of filtering based
on status. Should not have any implications on security as the flags should
still be filtered out based on their view group permissions.
Comment 4 David Lawrence 2008-03-24 15:20:30 EDT
Created attachment 298920 [details]
Patch to filter flags by status in request.cgi (v1)

Simple re-enables the commented out template code that was originally hiding
the filter by status.
Comment 5 Noura El hawary 2008-03-24 21:46:23 EDT
Comment on attachment 298920 [details]
Patch to filter flags by status in request.cgi (v1)

Looks good Dave, And works fine.

Noura
Comment 6 David Lawrence 2008-05-27 23:39:54 EDT
Worked 1 hour.

Note You need to log in before you can comment on or make changes to this bug.